Source: weupnp
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: James Valleroy <jvalleroy@mailbox.org>
Build-Depends:
 debhelper-compat (= 13),
 default-jdk,
 libmaven-bundle-plugin-java,
 libmaven-javadoc-plugin-java,
 maven-debian-helper (>= 2.0)
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/debian/weupnp.git
Vcs-Browser: https://salsa.debian.org/debian/weupnp
Homepage: https://github.com/bitletorg/weupnp
Rules-Requires-Root: no

Package: libweupnp-java
Architecture: all
Depends: ${maven:Depends}, ${misc:Depends}
Suggests: libweupnp-java-doc, ${maven:OptionalDepends}
Description: tiny UPnP client Java library
 Weupnp is a lightweight Java library, released under the LGPL licence,
 designed to implement the UPnP (Universal Plug and Play) protocol to
 handle port mappings on Gateway Devices.

Package: libweupnp-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: ${maven:DocDepends}, ${maven:DocOptionalDepends}
Suggests: libweupnp-java
Description: tiny UPnP client Java library (documentation)
 Weupnp is a lightweight Java library, released under the LGPL licence,
 designed to implement the UPnP (Universal Plug and Play) protocol to
 handle port mappings on Gateway Devices.
 .
 This package contains the API documentation of libweupnp-java.
